Better TweetDeck
Take TweetDeck to the next level

Installing Better TweetDeck on Safari

Before doing anything, you need to have Safari 14 or above installed.

Follow those steps:


Feek free to reach out on Twitter @BetterTDeck if you run into any issues.